curl --request GET \
--url https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts \
--header 'Authorization: <api-key>' \
--header 'x-date: <api-key>' \
--header 'x-login: <api-key>' \
--header 'x-trans-key: <api-key>'import requests
url = "https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts"
headers = {
"x-login": "<api-key>",
"x-trans-key": "<api-key>",
"x-date": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-login': '<api-key>',
'x-trans-key': '<api-key>',
'x-date': '<api-key>',
Authorization: '<api-key>'
}
};
fetch('https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-date: <api-key>",
"x-login: <api-key>",
"x-trans-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-login", "<api-key>")
req.Header.Add("x-trans-key", "<api-key>")
req.Header.Add("x-date", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts")
.header("x-login", "<api-key>")
.header("x-trans-key", "<api-key>")
.header("x-date", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-login"] = '<api-key>'
request["x-trans-key"] = '<api-key>'
request["x-date"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1477,
"type": "payment_order_attempt",
"attributes": {
"status": "pending",
"payment_reference": null,
"cancel_message": null,
"statuses": [
{
"status": "pending",
"changed_at": "2026-04-17T12:38:34.589Z"
}
],
"provider_code": "@VITARA6SV7E9",
"id": "272f0848-8a1c-4720-98f2-3fff0502d10d",
"provider": {
"id": 17,
"name": "Bre-B"
},
"payer": null,
"payment_order": {
"public_code": "dd780598-d7df-447c-abdf-80d4a7c809d5",
"amount": 100000,
"status": "pending"
},
"costs": {
"fixed_cost": 1,
"spread": 1
},
"redirect_urls": {
"success_redirect_url": "https://www.google.com/success",
"cancel_redirect_url": "https://www.google.com/cancel",
"error_redirect_url": "https://www.google.com/error",
"pending_redirect_url": "https://www.google.com/pending"
},
"provider_data": {
"provider_url": null,
"frame": null,
"qr_code": "00020101021226360015CO.COM.VISI.LLA0413@VITARA6SV7E949270015CO.COM.VISI.RED0104VISI5204041253031705409100000.005802CO5913MERCHANT VITA6008Medellin610610101062350712VITARA6SV7E9080205100912345698780300017CO.COM.VISI.CANAL0105ECOMM81260016CO.COM.VISI.CIVA01020282240015CO.COM.VISI.IVA0101083250016CO.COM.VISI.BASE0101084260016CO.COM.VISI.CINC01020285240015CO.COM.VISI.INC0101090380017CO.COM.VISI.TRXID0113PVITARA6SV7E991870015CO.COM.VISI.SEC0164474ba16e2433a928a69b7a6eb54efbabecba7c0aef862d39fca7b379d057ba1b6304A89C"
},
"created_at": "2026-04-17T12:38:34Z",
"updated_at": "2026-04-17T12:38:34Z"
}
},
{
"id": 1476,
"type": "payment_order_attempt",
"attributes": {
"status": "pending",
"payment_reference": null,
"cancel_message": null,
"statuses": [
{
"status": "pending",
"changed_at": "2026-04-17T12:38:30.029Z"
}
],
"provider_code": "@VITAE7EMOT0U",
"id": "cd37bb3c-705e-4110-875b-75639eba2135",
"provider": {
"id": 17,
"name": "Bre-B"
},
"payer": null,
"payment_order": {
"public_code": "dd780598-d7df-447c-abdf-80d4a7c809d5",
"amount": 100000,
"status": "pending"
},
"costs": {
"fixed_cost": 1,
"spread": 1
},
"redirect_urls": {
"success_redirect_url": "https://www.google.com/success",
"cancel_redirect_url": "https://www.google.com/cancel",
"error_redirect_url": "https://www.google.com/error",
"pending_redirect_url": "https://www.google.com/pending"
},
"provider_data": {
"provider_url": null,
"frame": null,
"qr_code": "00020101021226360015CO.COM.VISI.LLA0413@VITAE7EMOT0U49270015CO.COM.VISI.RED0104VISI5204041253031705409100000.005802CO5913MERCHANT VITA6008Medellin610610101062350712VITAE7EMOT0U080205100912345698780300017CO.COM.VISI.CANAL0105ECOMM81260016CO.COM.VISI.CIVA01020282240015CO.COM.VISI.IVA0101083250016CO.COM.VISI.BASE0101084260016CO.COM.VISI.CINC01020285240015CO.COM.VISI.INC0101090380017CO.COM.VISI.TRXID0113PVITAE7EMOT0U91870015CO.COM.VISI.SEC0164474ba16e2433a928a69b7a6eb54efbabecba7c0aef862d39fca7b379d057ba1b630450D9"
},
"created_at": "2026-04-17T12:38:30Z",
"updated_at": "2026-04-17T12:38:30Z"
}
}
]
}List All Payment Order Attempts
Overview - Get Payment Order Attempts
Purpose
This endpoint allows you to query the status and details of all payment attempts (PaymentOrderAttempt) associated with a payment order. It’s useful for:
-
Checking the statuses of a payment attempts
-
Retrieving configured redirect URLs for the attempt
-
Querying payment provider (PSP) information
-
Reviewing payer data and applied costs
Operation Flow
-
Client sends a GET request with:
- payment_order_id (Payment order ID)
- Authentication headers (Authorization, X-Date)
-
System validates:
- Authentication signature (HMAC)
- Payment order existence
- Payment attempt existence
- Rate limiting (1 request per minute per unique combination)
-
If successful, returns:
- Attempt status (pending, paid, cancelled, error)
- Payment provider information
- Redirect URLs
- Applied costs
- Payer data
- Timestamps
EndpointGET /v1/businesses/payment_orders/:payment_order_id/attempts
Authentication
Requires Business API authentication headers:
-
Authorization: HMAC-SHA256 signature
-
X-Date: ISO 8601 timestamp
-
Required permission: get_payment_order_attempt
Rate Limiting
-
1 request per minute per unique combination of payment_order_id + attempt_alt_id
-
If exceeded, returns throttling error
URL Parameters
| Parameter | Type | Description |
|---|---|---|
payment_order_id | Integer (required) | Payment order ID |
attempt_alt_id | String (UUID) (required) | Payment attempt alternative ID |
Success Response (200 OK)
{
"data": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"type": "payment_order_attempt",
"attributes": {
"status": "pending",
"provider_code": "TBK_123456",
"payment_reference": "REF-2024-001",
"cancel_message": null,
"statuses": [
"pending",
"processing"
],
"provider": {
"id": 1,
"name": "Transbank WebPay"
},
"payer": {
"name": "Juan Pérez",
"email": "juan@example.com",
"document": "12345678-9"
},
"payment_order": {
"public_code": "PO-2024-001",
"amount": 10000,
"status": "pending"
},
"costs": {
"fixed_cost": 500,
"spread": 2.5
},
"redirect_urls": {
"success_redirect_url": "https://merchant.com/success",
"cancel_redirect_url": "https://merchant.com/cancel",
"error_redirect_url": "https://merchant.com/error",
"pending_redirect_url": "https://merchant.com/pending"
},
"provider_data": {
"provider_url": "https://webpay.transbank.cl/pay/12345",
"frame": null,
"qr_code": null
},
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:35:00Z"
}
}
]
}
Error Responses
404 - Payment Order Not Found
{"data":[]}
Possible Attempt Statuses
| Status | Description |
|---|---|
pending | Attempt created, awaiting user action |
processing | Payment under verification process |
paid | Payment completed successfully |
cancelled | Payment cancelled by user |
error | Error in payment processing |
expired | Attempt expired without completion |
Common Use Cases
-
Webhook Polling: Check status after receiving webhook
-
UI Status Update: Update interface in real-time
-
Payment Verification: Verify payment completion
-
Redirect After Payment: Obtain post-payment redirect URL
-
Audit Trail: Record payment attempts for auditing
Important Notes
-
The attempt_alt_id is the unique attempt identifier (UUID)
-
A payment_order can have multiple attempts
-
Redirect URLs are specific per attempt
-
Throttling prevents excessive queries for the same attempt
Related Endpoints
-
POST /v1/businesses/payment_orders - Create payment order
-
POST /v1/businesses/payment_orders/:id/direct_payment - Process direct payment
curl --request GET \
--url https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts \
--header 'Authorization: <api-key>' \
--header 'x-date: <api-key>' \
--header 'x-login: <api-key>' \
--header 'x-trans-key: <api-key>'import requests
url = "https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts"
headers = {
"x-login": "<api-key>",
"x-trans-key": "<api-key>",
"x-date": "<api-key>",
"Authorization": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-login': '<api-key>',
'x-trans-key': '<api-key>',
'x-date': '<api-key>',
Authorization: '<api-key>'
}
};
fetch('https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"x-date: <api-key>",
"x-login: <api-key>",
"x-trans-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-login", "<api-key>")
req.Header.Add("x-trans-key", "<api-key>")
req.Header.Add("x-date", "<api-key>")
req.Header.Add("Authorization", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts")
.header("x-login", "<api-key>")
.header("x-trans-key", "<api-key>")
.header("x-date", "<api-key>")
.header("Authorization", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vitawallet.io/api/businesses/payment_orders/{payment_order_id}/attempts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-login"] = '<api-key>'
request["x-trans-key"] = '<api-key>'
request["x-date"] = '<api-key>'
request["Authorization"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": 1477,
"type": "payment_order_attempt",
"attributes": {
"status": "pending",
"payment_reference": null,
"cancel_message": null,
"statuses": [
{
"status": "pending",
"changed_at": "2026-04-17T12:38:34.589Z"
}
],
"provider_code": "@VITARA6SV7E9",
"id": "272f0848-8a1c-4720-98f2-3fff0502d10d",
"provider": {
"id": 17,
"name": "Bre-B"
},
"payer": null,
"payment_order": {
"public_code": "dd780598-d7df-447c-abdf-80d4a7c809d5",
"amount": 100000,
"status": "pending"
},
"costs": {
"fixed_cost": 1,
"spread": 1
},
"redirect_urls": {
"success_redirect_url": "https://www.google.com/success",
"cancel_redirect_url": "https://www.google.com/cancel",
"error_redirect_url": "https://www.google.com/error",
"pending_redirect_url": "https://www.google.com/pending"
},
"provider_data": {
"provider_url": null,
"frame": null,
"qr_code": "00020101021226360015CO.COM.VISI.LLA0413@VITARA6SV7E949270015CO.COM.VISI.RED0104VISI5204041253031705409100000.005802CO5913MERCHANT VITA6008Medellin610610101062350712VITARA6SV7E9080205100912345698780300017CO.COM.VISI.CANAL0105ECOMM81260016CO.COM.VISI.CIVA01020282240015CO.COM.VISI.IVA0101083250016CO.COM.VISI.BASE0101084260016CO.COM.VISI.CINC01020285240015CO.COM.VISI.INC0101090380017CO.COM.VISI.TRXID0113PVITARA6SV7E991870015CO.COM.VISI.SEC0164474ba16e2433a928a69b7a6eb54efbabecba7c0aef862d39fca7b379d057ba1b6304A89C"
},
"created_at": "2026-04-17T12:38:34Z",
"updated_at": "2026-04-17T12:38:34Z"
}
},
{
"id": 1476,
"type": "payment_order_attempt",
"attributes": {
"status": "pending",
"payment_reference": null,
"cancel_message": null,
"statuses": [
{
"status": "pending",
"changed_at": "2026-04-17T12:38:30.029Z"
}
],
"provider_code": "@VITAE7EMOT0U",
"id": "cd37bb3c-705e-4110-875b-75639eba2135",
"provider": {
"id": 17,
"name": "Bre-B"
},
"payer": null,
"payment_order": {
"public_code": "dd780598-d7df-447c-abdf-80d4a7c809d5",
"amount": 100000,
"status": "pending"
},
"costs": {
"fixed_cost": 1,
"spread": 1
},
"redirect_urls": {
"success_redirect_url": "https://www.google.com/success",
"cancel_redirect_url": "https://www.google.com/cancel",
"error_redirect_url": "https://www.google.com/error",
"pending_redirect_url": "https://www.google.com/pending"
},
"provider_data": {
"provider_url": null,
"frame": null,
"qr_code": "00020101021226360015CO.COM.VISI.LLA0413@VITAE7EMOT0U49270015CO.COM.VISI.RED0104VISI5204041253031705409100000.005802CO5913MERCHANT VITA6008Medellin610610101062350712VITAE7EMOT0U080205100912345698780300017CO.COM.VISI.CANAL0105ECOMM81260016CO.COM.VISI.CIVA01020282240015CO.COM.VISI.IVA0101083250016CO.COM.VISI.BASE0101084260016CO.COM.VISI.CINC01020285240015CO.COM.VISI.INC0101090380017CO.COM.VISI.TRXID0113PVITAE7EMOT0U91870015CO.COM.VISI.SEC0164474ba16e2433a928a69b7a6eb54efbabecba7c0aef862d39fca7b379d057ba1b630450D9"
},
"created_at": "2026-04-17T12:38:30Z",
"updated_at": "2026-04-17T12:38:30Z"
}
}
]
}Authorizations
Business xLogin
Business xTransKey
ISO8601 datetime
V2-HMAC-SHA256 signature. Example: V2-HMAC-SHA256, Signature: <hash>
Path Parameters
Response
Successful response.